commit:     d1e5947634035cd7536234af7ee06e78c8a02c32
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 17 18:20:13 2025 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Feb 17 18:22:34 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1e59476

app-xemacs/ebuild-mode: add 1.78

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-xemacs/ebuild-mode/Manifest                |  1 +
 app-xemacs/ebuild-mode/ebuild-mode-1.78.ebuild | 51 ++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-xemacs/ebuild-mode/Manifest b/app-xemacs/ebuild-mode/Manifest
index a8d2ea10d9b4..06b5a832b63c 100644
--- a/app-xemacs/ebuild-mode/Manifest
+++ b/app-xemacs/ebuild-mode/Manifest
@@ -1,2 +1,3 @@
 DIST ebuild-mode-1.76.tar.xz 50404 BLAKE2B 
9aeda48858155286c9df2075b61f596723d457ac1592ab581e1589d291db2f54d3c5d81dd610a41506d43d5d90943404a8f74fc4b742d7ed33f4e623930d1fc7
 SHA512 
e9659878109de92789204d6bd9493465b1d078a5ac5a10937397478a20766bab453bdfc8d3352625570b37b8bf8aadc28369652979032427a1c8d6d13242aa64
 DIST ebuild-mode-1.77.tar.xz 50840 BLAKE2B 
29ecc60dc232def8ef811da88efd68b6ffe66fa5df6a53390e6d01b858160f16f3f5f1f481f3d34628ccbd7228113867df3f81b0587d1f5ced721d129111f3a9
 SHA512 
f40f294158a36783f6d08297d51f0a0931209368449a6edeb50235568c4347b27070d20227c0d6d32d3581609dc288effefb8dda982d2e45b046243ce0e3495d
+DIST ebuild-mode-1.78.tar.xz 51124 BLAKE2B 
21267b78de39be96a726ef7d044fe85a43c0782e0a10b427af25b00366f271f6f8a04a2493026ae633a3accd644ff6c73f2050896c59844b6decc78e4dd8279d
 SHA512 
a4a637f6c138e4dfde58cee9484927dce9271f3c1d801d105c73c5a9cefef530e6eced74a55223a638613d9381f590741ba4ea96f638f2c5976f4fe71757a07c

diff --git a/app-xemacs/ebuild-mode/ebuild-mode-1.78.ebuild 
b/app-xemacs/ebuild-mode/ebuild-mode-1.78.ebuild
new file mode 100644
index 000000000000..67ffead8cd81
--- /dev/null
+++ b/app-xemacs/ebuild-mode/ebuild-mode-1.78.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+DESCRIPTION="Emacs modes for editing ebuilds and other Gentoo specific files"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs";
+SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 ~hppa x86"
+
+RDEPEND=">=app-editors/xemacs-21.5.35
+       app-xemacs/sh-script"
+BDEPEND="${RDEPEND}"
+
+EMACS="${EPREFIX}/usr/bin/xemacs"
+EMACSFLAGS="-batch -q -no-site-file"
+
+src_compile() {
+       ${EMACS} ${EMACSFLAGS} \
+               -eval "(add-to-list 'load-path nil)" \
+               -f batch-byte-compile \
+               ebuild-mode.el gentoo-newsitem-mode.el || die
+
+       ${EMACS} ${EMACSFLAGS} \
+               -eval "(setq autoload-package-name \"${PN}\")" \
+               -eval "(setq generated-autoload-file 
\"${S}/auto-autoloads.el\")" \
+               -l autoload -f batch-update-autoloads \
+               ebuild-mode.el gentoo-newsitem-mode.el || die
+}
+
+src_test() {
+       emake check EMACS="${EMACS}" EMACSFLAGS="${EMACSFLAGS}"
+}
+
+src_install() {
+       insinto /usr/lib/xemacs/site-packages/lisp/${PN}
+       doins ebuild-mode.{el,elc} ebuild-mode-keywords.el \
+               gentoo-newsitem-mode.{el,elc}
+       doins auto-autoloads.el
+}
+
+pkg_postinst() {
+       optfeature "ebuild commands support" sys-apps/portage
+       optfeature "additional development tools" dev-util/pkgdev
+       optfeature "ebuild QA utilities" dev-util/pkgcheck
+}

Reply via email to